/**
* Gestor del nostre telfon mbil.
* 
* @author Angel Solans 
* @version 07.01.2004
*/
public class Mobil {
    // Camps per indicar el nostre nmero de telfon,
    // el saldo existent a la nostra targeta
    // i el preu per cada pas o unitat de temps de trucada
    int numero = 630010203;
    private int saldo;
    private int preu; 

    /**
    * Crea un telefon mbil. Inicialment posa el saldo
    * a 350 i el preu a 2. 
    */
    public Mobil() {
        saldo = 350;
        preu = 2;
    }

    /**
    * Incrementa el saldo de la targeta en la 
    * quantitat que triem 
    */
    public void carrega(int quantitat) {
        saldo+=quantitat; 
    }

    /**
    * Fa una trucada del nmero de passos que triem. 
    * Decrementa el nostre saldo en funci del preu 
    * de cada pas
    */
    public void truca(int passos) {
        saldo-=(passos*preu);
    }

    /**
    * Retorna el nostre nmero de telfon
    */
    public int getNumero() {
        return numero;
    }

    /**
    * Retorna el saldo restant a la targeta
    */
    public int getSaldo() {
        return saldo;
    }

    /**
    * Canvia el preu de cada pas
    */
    public void setPreu(int preu) {
        this.preu = preu;
    }

    /**
    * Retorna el preu de cada pas
    */
    public int getPreu() {
        return preu;
    }

    /**
    * Imprimeix el nostre saldo. Per la feina de la 
    * consulta, ens resta una unitat
    */ 
    public void printSaldo() {
        saldo-=1;
        System.out.println("El vostre saldo s de "+saldo);
        System.out.println("moltes grcies per la consulta");
    }

}